package codechicken.multipart.handler

//import cpw.mods.fml.common.network.NetworkMod
import cpw.mods.fml.common.Mod
import cpw.mods.fml.common.event.FMLPostInitializationEvent
import cpw.mods.fml.common.event.FMLPreInitializationEvent
import cpw.mods.fml.common.event.FMLInitializationEvent
import cpw.mods.fml.common.Mod.EventHandler
import cpw.mods.fml.common.event.FMLServerAboutToStartEvent
import codechicken.multipart.MultiPartRegistry
//import gcewing.codechicken.lib.packet.PacketCustom.CustomTinyPacketHandler

@Mod(modid = "ForgeMultipart", acceptedMinecraftVersions = "[1.7,1.8)", modLanguage="scala")
object MultipartMod
{
    @EventHandler
    def preInit(event:FMLPreInitializationEvent)
    {
        //System.out.printf("MultipartMod.preInit\n");
        MultipartProxy.preInit(event.getModConfigurationDirectory)
    }
    
    @EventHandler
    def init(event:FMLInitializationEvent)
    {
        //System.out.printf("MultipartMod.init\n");
        MultipartProxy.init()
    }
    
    @EventHandler
    def postInit(event:FMLPostInitializationEvent)
    {
        //System.out.printf("MultipartMod.postInit\n");
        if(MultiPartRegistry.required)
        {
            MultiPartRegistry.postInit()
            MultipartProxy.postInit()
        }
    }
    
    @EventHandler
    def beforeServerStart(event:FMLServerAboutToStartEvent)
    {
        MultiPartRegistry.beforeServerStart()
    }
}